# /packages/press/www/one-item-revision-add.tcl

ad_page_contract {
    
    This page serves as UI to add a new revision of a press item
    By default, the active_revision_id is filled into the widgets
    Currently only Press Admin can do this, not the original submittor though


    @author stefan@arsdigita.com
    @creation-date 12-1-2000
    @cvs-id $Id: one-item-revision-add.tcl,v 1.3 2003/10/31 16:09:23 michaels Exp $
    
} {

    item_id:integer,notnull
    
} -properties {

    title:onevalue
    context:onevalue
    publication_name:onevalue
    publication_link:onevalue
    publication_date:onevalue
    publication_date_desc:onevalue
    article_title:onevalue
    article_link:onevalue
    article_pages:onevalue
    article_abstract:onevalue
    article_abstract_html_p:onevalue
    press_administrator_p:onevalue
    release_date:onevalue
    archive_date:onevalue
    template_select:onevalue
    never_checkbox:onevalue
    hidden_vars:onevalue

}


# Permission to press_admin 

set package_id            [ad_conn package_id]
set press_administrator_p [ad_permission_p $package_id press_admin]

set title "Add new revision"
set context [list $title]

# get active revision of press item

db_0or1row item {}

set never_checkbox "<input type=checkbox name=permanent_p value=t "

if {[string equal $status "permanent"]} {
    append never_checkbox "checked"
}

append never_checkbox ">"


# make Date & Time Widgets

set release_date     [dt_widget_datetime -default $item_release_date release_date days]
set archive_date     [dt_widget_datetime -default $item_archive_date archive_date days]
set publication_date [dt_widget_datetime -default $item_publication_date publication_date days]

set template_select  [press_template_select $template_id]

set action "Revision"
set hidden_vars [export_form_vars item_id action]

ad_return_template
